import Component from '../../component.js'

export default class CoEuiTableFilter extends Component {
    constructor(parent) {
      let selector = 'eui-table-filter';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components-next/src/lib/components/eui-table/filter/eui-table-filter.component.html
    }
    get filter() {
      return this.currentPath + '//div[@class = "eui-table__filter"]';
    }
    get form() {
      return this.filter + '//form';
    }
    get inputWrapper() {
      return this.form + '//div[contains(@class, "eui-clearable-input-wrapper")]';
    }
    get filterInput() {
      return this.inputWrapper + '//input[contains(@class, "eui-table__filter-input")]';
    }
    get clearIcon() {
      return this.inputWrapper + '//span[contains(@class, "eui-clearable-input-wrapper__clear")]';
    }
    get searchIcon() {
      return this.inputWrapper + '//span[contains(@class, "eui-table__filter-search-icon")]';
    }
}


